package com.caimei365.user.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * 协销
 *
 * @author : Aslee
 * @date : 2021/3/18
 */
@Data
public class ServiceProviderPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 协销Id(serviceProviderID)
     */
    private Integer serviceProviderId;
    /**
     * 协销状态，见表c_serviceproviderstatus或枚举ServiceProviderStatus
     */
    private Integer status;
    /**
     * 对应的userId
     */
    private Integer userId;
    /**
     * 小程序openid
     */
    private String openid;
    /**
     * 微信unionId
     */
    private String unionId;
    /**
     * 名称
     */
    private String name;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 联系手机
     */
    private String contractMobile;
    /**
     * 联系邮箱
     */
    private String contractEmail;
    /**
     * 联系人职务
     */
    private String duty;
    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核信息
     */
    private String auditNote;
    /**
     * 是否可用 1可用
     */
    private String validFlag;

    /**
     * 创建时间
     */
    private String addTime;
    /**
     * 创客经理Id
     */
    private Integer mainServiceProviderId;
}
