package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 最新动态信息
 *
 * @author : Aslee
 * @date : 2020/9/1
 */
@Data
public class InformationVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键 informationID
     */
    private Integer informationId;
    /**
     * 信息类型
     */
    private Integer infoTypeId;
    /**
     * 标签
     */
    private String tag;
    /**
     * 信息标题
     */
    private String title;
    /**
     * 信息链接
     */
    private String link;
    /**
     * html内容
     */
    private String content;
    /**
     * 文本内容
     */
    private String contentTxt;
    /**
     * 可用标志
     */
    private String validFlag;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 作者
     */
    private String author;
    /**
     * 图片路径
     */
    private String imgUrl;
    /**
     * 未知
     */
    private Long areaValue;
}
