package com.caimei365.user.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author Administrator
 */
@Data
public class VisitorRemarkVo implements Serializable {

    /**
     * 潜在用户备注id
     */
    private Integer remarksId;
    /**
     * 咨询人id
     */
    private String questionManId;

    /**
     * 协销id
     */
    private Integer serviceProviderId;

    /**
     * 同步clubid
     */
    private String clubId;
    /**
     * 备注/关键词
     */
    private String remarks;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addDate;
    /**
     * 咨询人名字
     */
    private String questionMan;
    /**
     * 同步时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date concactTime;

    /**
     * 图片列表
     */
    private List<String> imageList;
    /**
     * 咨询类别
     */
    private String consult;

    private String consultBack;
    /**
     * 文件列表
     */
    private List<RemarksFileVo> fileList;
    /**
     * 管理员姓名
     */
    private String leaderName;
    /**
     * 记录人
     */
    private String recordName;

    /**
     * 机构类型
     */
    private String clubType;
    /**
     * 价格敏感度
     */
    private Integer pinceSensitve;
    /**
     * 意向程度
     */
    private Integer satisfied;
    /**
     * 跟进状态
     */
    private Integer followup;
    /**
     * 额外说明
     */
    private String extra;
    /**
     *报备审核状态 0.全部 1.待审核 2.已审核 3.审核未通过
     */
    private Integer status;
    /**
     * 报备ID
     */
    private Integer reportId;
    /**
     * 报备商品ID
     */
    private Integer productId;
    /**
     * 商品主图
     */
    private String mainImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 报备事由
     */
    private String reportText;
    /**
     * 审核备注
     */
    private String auditText;
    /**
     * 新分配机构状态 0.否，1.是
     */
    private Integer newDeal;


}
